<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__syslib__macros__status__codes" kind="group">
    <compoundname>group_syslib_macros_status_codes</compoundname>
    <title>Status codes</title>
      <sectiondef kind="define">
      <memberdef id="group__group__syslib__macros__status__codes_1gac17a36488c0a10d40a811f390b91013f" kind="define" prot="public" static="no">
        <name>CY_PDL_STATUS_CODE_Pos</name>
        <initializer>(CY_RSLT_CODE_POSITION)</initializer>
        <briefdescription>
<para>The module status code position in the status code. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syslib.h" bodystart="315" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syslib.h" line="315" />
      </memberdef>
      <memberdef id="group__group__syslib__macros__status__codes_1ga089fd41c90ad2abcf6908c752b334e10" kind="define" prot="public" static="no">
        <name>CY_PDL_STATUS_TYPE_Pos</name>
        <initializer>(CY_RSLT_TYPE_POSITION)</initializer>
        <briefdescription>
<para>The status type position in the status code. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syslib.h" bodystart="316" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syslib.h" line="316" />
      </memberdef>
      <memberdef id="group__group__syslib__macros__status__codes_1ga67d88f3788828ddcba018324c25924ad" kind="define" prot="public" static="no">
        <name>CY_PDL_MODULE_ID_Pos</name>
        <initializer>(CY_RSLT_MODULE_POSITION)</initializer>
        <briefdescription>
<para>The software module ID position in the status code. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syslib.h" bodystart="317" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syslib.h" line="317" />
      </memberdef>
      <memberdef id="group__group__syslib__macros__status__codes_1ga0ba3882d87b982ff4358b6f0b7a95556" kind="define" prot="public" static="no">
        <name>CY_PDL_STATUS_INFO</name>
        <initializer>((uint32_t)CY_RSLT_TYPE_INFO &lt;&lt; <ref kindref="member" refid="group__group__syslib__macros__status__codes_1ga089fd41c90ad2abcf6908c752b334e10">CY_PDL_STATUS_TYPE_Pos</ref>)</initializer>
        <briefdescription>
<para>The information status type. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syslib.h" bodystart="318" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syslib.h" line="318" />
      </memberdef>
      <memberdef id="group__group__syslib__macros__status__codes_1gaa58a2f0e42403136f010e7982e6e5b7f" kind="define" prot="public" static="no">
        <name>CY_PDL_STATUS_WARNING</name>
        <initializer>((uint32_t)CY_RSLT_TYPE_WARNING &lt;&lt; <ref kindref="member" refid="group__group__syslib__macros__status__codes_1ga089fd41c90ad2abcf6908c752b334e10">CY_PDL_STATUS_TYPE_Pos</ref>)</initializer>
        <briefdescription>
<para>The warning status type. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syslib.h" bodystart="319" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syslib.h" line="319" />
      </memberdef>
      <memberdef id="group__group__syslib__macros__status__codes_1gaea5a4ae400ef551a3ef0b15a13ba8070" kind="define" prot="public" static="no">
        <name>CY_PDL_STATUS_ERROR</name>
        <initializer>((uint32_t)CY_RSLT_TYPE_ERROR &lt;&lt; <ref kindref="member" refid="group__group__syslib__macros__status__codes_1ga089fd41c90ad2abcf6908c752b334e10">CY_PDL_STATUS_TYPE_Pos</ref>)</initializer>
        <briefdescription>
<para>The error status type. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syslib.h" bodystart="320" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syslib.h" line="320" />
      </memberdef>
      <memberdef id="group__group__syslib__macros__status__codes_1gabf9967a7784e76db7fdc2fb79c54c23a" kind="define" prot="public" static="no">
        <name>CY_PDL_MODULE_ID_Msk</name>
        <initializer>(CY_RSLT_MODULE_MASK)</initializer>
        <briefdescription>
<para>The software module ID mask. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syslib.h" bodystart="321" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syslib.h" line="321" />
      </memberdef>
      <memberdef id="group__group__syslib__macros__status__codes_1ga45c44ce91d1e20c64430f00fd8ad9b0e" kind="define" prot="public" static="no">
        <name>CY_PDL_DRV_ID</name>
        <param><defname>id</defname></param>
        <initializer>((uint32_t)((uint32_t)((id) &amp; <ref kindref="member" refid="group__group__syslib__macros__status__codes_1gabf9967a7784e76db7fdc2fb79c54c23a">CY_PDL_MODULE_ID_Msk</ref>) &lt;&lt; <ref kindref="member" refid="group__group__syslib__macros__status__codes_1ga67d88f3788828ddcba018324c25924ad">CY_PDL_MODULE_ID_Pos</ref>))</initializer>
        <briefdescription>
<para>Get the software PDL module ID. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syslib.h" bodystart="323" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syslib.h" line="323" />
      </memberdef>
      <memberdef id="group__group__syslib__macros__status__codes_1ga50909cf27bac74dae5f45ae1a1b8da24" kind="define" prot="public" static="no">
        <name>CY_SYSLIB_ID</name>
        <initializer><ref kindref="member" refid="group__group__syslib__macros__status__codes_1ga45c44ce91d1e20c64430f00fd8ad9b0e">CY_PDL_DRV_ID</ref>(0x11U)</initializer>
        <briefdescription>
<para>SYSLIB PDL ID. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syslib.h" bodystart="324" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syslib.h" line="324" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Function status type codes. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>